<?php

declare(strict_types=1);

use Phinx\Migration\AbstractMigration;

// phpcs:ignore PSR1.Classes.ClassDeclaration.MissingNamespace
final class CreateContentsTable extends AbstractMigration
{
    public function up()
    {
        $table = $this->table('contents');
        $table->addColumn('key', 'string')
            ->addColumn('content', 'text')
            ->save();
    }

    public function down()
    {
        $this->table('contents')->drop()->save();
    }
}
